Report - Get
Gets a build report.
GET https://dev.azure.com/{organization}/{project}/_apis/build/builds/{buildId}/report?api-version=5.0-preview.2
GET https://dev.azure.com/{organization}/{project}/_apis/build/builds/{buildId}/report?type={type}&api-version=5.0-preview.2
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
build
|
path | True |
integer (int32) |
The ID of the build. |
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.2' to use this version of the api. |
|
type
|
query |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation Media Types: "text/html", "application/json" |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.build | Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to receive notifications about build events via service hooks. |
Definitions
BuildReportMetadata
Represents information about a build report.
| Name | Type | Description |
|---|---|---|
| buildId |
integer (int32) |
The Id of the build. |
| content |
string |
The content of the report. |
| type |
string |
The type of the report. |